﻿using System.Windows.Controls;
using SilverlightApplication1.ServiceReference1;
using Telerik.Data;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var client = new MyServiceClient();
            client.GetDataCompleted += (s,e) => 
            {
                RadGridView1.ItemsSource = new DataTable(e.Result);
            };

            client.GetDataAsync("SELECT CustomerID, CompanyName, ContactName, City, Country, Address, Fax FROM Customers");
        }
    }
}